<?php


return  
    [
        'model' => [
            'model' => \Litecms\Slider\Models\Slider::class,
            'repository' => \Litecms\Slider\Repositories\Eloquent\SliderRepository::class,
            'table' => 'sliders',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'user_type',  'name',  'title',  'content',  'slug',  'images',  'status',  'upload_folder',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'slider/slider',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'slider::slider.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'slider::slider.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "content" => [
                "key" => "content", 
                "type" => "text", 
                "label" => 'slider::slider.label.content', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'slider::slider.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.name',
                "placeholder" => 'slider::slider.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.title',
                "placeholder" => 'slider::slider.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'content' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.content',
                "placeholder" => 'slider::slider.placeholder.content',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'slider::slider.label.images',
                "placeholder" => 'slider::slider.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'slider/slider/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'slider/slider/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'slider/slider',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'slider/slider',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'slider/slider',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'slider/slider',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'slider::slider.label.created_at',
            'name' => 'slider::slider.label.name',
            'status' => 'slider::slider.label.status',
        ],
        'groups' => [
            'main' => 'slider::slider.groups.main',
            'details' => 'slider::slider.groups.details',
            'images' => 'slider::slider.groups.images',
            'settings' => 'slider::slider.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Slider',
            'module' => 'Slider',
        ],
    ];
