Lavalite package that provides slider management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/slider`.

    "litecms/slider": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Slider\Providers\SliderServiceProvider::class,

And also add it to alias

    'Slider'  => Litecms\Slider\Facades\Slider::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Slider\\Seeders\\SliderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Slider\Providers\SliderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Slider\Providers\SliderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Slider\Providers\SliderServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slider/{modulename}

**User**

    http://path-to-route-folder/user/slider/{modulename}

**Public**

    http://path-to-route-folder/sliders


### API endpoints

**List**

    http://path-to-route-folder/api/user/slider/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slider/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slider/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slider/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slider/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slider/{modulename}/{slug}
    METHOD: GET